import { Plugin } from 'ckeditor5/src/core';
import EditingTable from './editing';
import TablesUi from './ui/ui';

export default class Tables extends Plugin {
  static get requires() {
    return [EditingTable, TablesUi];
  }
  constructor(editor) {
    super(editor);
    editor.tables = {
      styles: [],
      getStyleOptions: function () {
        return this.styles.map(style => [
           style.id,
           style.label
        ])
      }

    }
  }

  init() {
    const editor = this.editor;

    editor.tables.styles = editor.config.get('tableStyles') || [];

  }
}
