// src/config/tableConfig.js
export default class TableConfig {
  constructor(editor) {
    this.editor = editor;
    this._styles = null;
  }

  get styles() {
    if (!this._styles) {
      // Only fetch from config once
      this._styles = this.editor.config.get('tableStyles') || [];
    }
    return this._styles;
  }

  get styleOptions() {
    return this.styles.map(style => [style.id, style.label]);
  }
}
